
#ifndef __EPSON_ESCPAGE_S_H__
#define __EPSON_ESCPAGE_S_H__
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------  Includes   -------------------------------------*/
/*******************************************|********************************************/
#include "epson-escpr-pvt.h"

/*-----------------------------------  Definitions  ------------------------------------*/
/*******************************************|********************************************/
	/*** print language                                                                 */
    /*** -------------------------------------------------------------------------------*/
//#define EPS_LANG_UNKNOWN			(0)			
//#define EPS_LANG_ESCPR			(1)			/* ESC/P-R */
//#define EPS_LANG_ESCPAGE			(2)			/* ESC/Page(Mono) */
//#define EPS_LANG_ESCPAGE_COLOR	(3)			/* ESC/Page-Color */
//#define EPS_LANG_ESCPAGE_S		(4)			/* ESC/PageS */
//#define EPS_LANG_PCL_COLOR		(5)			/* PCL (Color) */
//#define EPS_LANG_PCL				(6)			/* PCL (Mono) */
#define EPS_LANG_ESCPAGE_S03		(4)			/* ESC/PageS03 */
#define EPS_LANG_ESCPAGE_S04		(7)			/* ESC/PageS04 */

#define EPS_IS_LANG_ESCPAGE_S(l) (EPS_LANG_ESCPAGE_S03 == l || EPS_LANG_ESCPAGE_S04 == l)


// Paper feed direction
#define	EP_PAPER_SHORT_FEED			(1)
#define	EP_PAPER_LONG_FEED			(2)


/*--------------------------  Public Function Declarations   ---------------------------*/
/*******************************************|********************************************/
extern EPS_UINT32	pageS_ParseLang		(EPS_INT8* cmdString                            );
extern EPS_UINT8	pageS_ParseFeedDir	(EPS_UINT32 feedVal								);
extern EPS_ERR_CODE	pageS_UpdateSupportedMedia (EPS_PRINTER_INN* printer                );
extern EPS_BOOL		pageS_NeedRotate	(EPS_INT32 mediaSizeId							);
extern void			pageS_FeedExchange	(EPS_INT32 mediaSizeId,
										EPS_UINT32* printableWidth, EPS_UINT32* printableHeight);

extern EPS_ERR_CODE pageS_AllocBuffer	(void);
extern void			pageS_RelaseBuffer	(void);

extern EPS_ERR_CODE pageS_InitJob		(void);
extern EPS_ERR_CODE pageS_StartJob		(const EPS_JOB_ATTRIB *jobAttr);
extern EPS_ERR_CODE pageS_EndJob		(void);
extern EPS_ERR_CODE pageS_StartPage		(void);
extern EPS_ERR_CODE pageS_EndPage		(void);
extern EPS_ERR_CODE pageS_ColorRow		(const EPS_BANDBMP* pInBmp, const EPS_RECT* pBandRec);
extern EPS_ERR_CODE pageS_SendLeftovers	(void);

#ifdef __cplusplus
}
#endif

#endif	/* __EPSON_ESCPAGE_S_H__ */